# Class BasePair

java.lang.Object
org.jmol.modelsetbio.BasePair

public class BasePair extends Object

## Method Summary

Modifier and Type
Method
Description
`static BasePair`
`add(Map<String,Object> info, NucleicMonomer g1, NucleicMonomer g2)`
`int`
`getPartnerAtom(NucleicMonomer g)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### add

public static BasePair add(Map<String,Object> info, NucleicMonomer g1, NucleicMonomer g2)

### getPartnerAtom

public int getPartnerAtom(NucleicMonomer g)

### toString

public String toString()

Overrides:
  `toString` in class `Object`